package com.atguigu.utils;

import com.atguigu.spzx.model.entity.product.Category;

import java.util.ArrayList;
import java.util.List;


public class CategoryHelper {
    /**
     * 构建树型结构
     *
     * @param categoryList 分类列表
     * @return 结构列表
     */
    public static List<Category> buildTree(List<Category> categoryList) {
        ArrayList<Category> tree = new ArrayList<>();
        // 将菜单进行遍历
        categoryList.forEach(category -> {
            if (category.getParentId() == 0) {
                tree.add(getChildren(category, categoryList));
            }
        });
        return tree;
    }

    /**
     * 将List<SysMenu>对象转换成List<SysMenuVo>对象
     *
     * @param categoryList 全部菜单列表
     * @return 系统菜单响应结果实体类列表
     */
    public static Category getChildren(Category category, List<Category> categoryList) {
        // 遍历所有菜单数据，判断id和parentID对应关系
        category.setChildren(new ArrayList<>());

        categoryList.forEach(menu -> {
            if (menu.getChildren() == null) menu.setChildren(new ArrayList<>());
            if (category.getId().equals(menu.getParentId())) {
                category.getChildren().add(getChildren(menu, categoryList));
            }
        });

        return category;
    }
}
